# Draw
TKViewerTest
ViewerTest

# ViewerTest_EventManager Class Reference

`#include <ViewerTest_EventManager.hxx>`

## Public Member Functions

Standard_EXPORT | ViewerTest_EventManager (const Handle(V3d_View)&aView, const Handle(AIS_InteractiveContext)&aCtx)
virtual Standard_EXPORT void | MoveTo (const Standard_Integer xpix, const Standard_Integer ypix)
virtual Standard_EXPORT void | Select ()
virtual Standard_EXPORT void | ShiftSelect ()
virtual Standard_EXPORT void | Select (const Standard_Integer xmin, const Standard_Integer ymin, const Standard_Integer xmax, const Standard_Integer ymax)
virtual Standard_EXPORT void | ShiftSelect (const Standard_Integer xmin, const Standard_Integer ymin, const Standard_Integer xmax, const Standard_Integer ymax)
const Handle_AIS_InteractiveContext & | Context () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS_InteractiveContext | myCtx
Handle_V3d_View | myView
Standard_Integer | myX
Standard_Integer | myY

## Constructor & Destructor Documentation

Standard_EXPORT ViewerTest_EventManager::ViewerTest_EventManager | ( | const Handle(V3d_View)& | aView,
|  | const Handle(AIS_InteractiveContext)& | aCtx
| ) |

## Member Function Documentation

const Handle_AIS_InteractiveContext& ViewerTest_EventManager::Context | ( |  | ) | const

Standard_EXPORT const ViewerTest_EventManager::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void ViewerTest_EventManager::MoveTo | ( | const Standard_Integer | xpix,
|  | const Standard_Integer | ypix
| ) | `[virtual]`

virtual Standard_EXPORT void ViewerTest_EventManager::Select | ( | const Standard_Integer | xmin,
|  | const Standard_Integer | ymin,
|  | const Standard_Integer | xmax,
|  | const Standard_Integer | ymax
| ) | `[virtual]`

virtual Standard_EXPORT void ViewerTest_EventManager::Select | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void ViewerTest_EventManager::ShiftSelect | ( | const Standard_Integer | xmin,
|  | const Standard_Integer | ymin,
|  | const Standard_Integer | xmax,
|  | const Standard_Integer | ymax
| ) | `[virtual]`

virtual Standard_EXPORT void ViewerTest_EventManager::ShiftSelect | ( |  | ) | `[virtual]`

## Field Documentation

Handle_AIS_InteractiveContext ViewerTest_EventManager::myCtx `[private]`

Handle_V3d_View ViewerTest_EventManager::myView `[private]`

Standard_Integer ViewerTest_EventManager::myX `[private]`

Standard_Integer ViewerTest_EventManager::myY `[private]`

The documentation for this class was generated from the following file:

- ViewerTest_EventManager.hxx